> ## Documentation Index
> Fetch the complete documentation index at: https://docs.intermezzo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Partner Webhook Deliveries



## OpenAPI

````yaml /api-reference/preview.json get /webhooks/deliveries
openapi: 3.1.0
info:
  title: Intermezzo Global Payroll
  summary: Global Payroll Platform
  description: Intermezzo's global payroll apis, organized by country
  version: '2026-08-18'
  x-logo:
    url: /static/icon.svg
servers: []
security: []
paths:
  /webhooks/deliveries:
    get:
      tags:
        - Core
        - Webhooks
      summary: List Partner Webhook Deliveries
      operationId: list_partner_webhook_deliveries_webhooks_deliveries_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 10
            title: Limit
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Cursor
        - name: prev_cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Prev Cursor
        - name: sort
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
            default:
              - id
            title: Sort
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedResponse_WebhookDeliveryResponse_
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerToken:
            - read:webhooks
components:
  schemas:
    PaginatedResponse_WebhookDeliveryResponse_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/WebhookDeliveryResponse'
          type: array
          title: Items
        pagination:
          $ref: '#/components/schemas/PaginationMeta'
      additionalProperties: true
      type: object
      required:
        - items
        - pagination
      title: PaginatedResponse[WebhookDeliveryResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WebhookDeliveryResponse:
      properties:
        delivery_id:
          type: string
          title: Delivery Id
          description: Stable id of the event delivery (uuid7)
        event:
          type: string
          title: Event
          description: Event type, e.g. payroll_status.changed
        attempt:
          type: integer
          title: Attempt
          description: Attempt number, 0-based
        status:
          $ref: '#/components/schemas/WebhookDeliveryStatus'
        status_code:
          anyOf:
            - type: integer
            - type: 'null'
          title: Status Code
          description: HTTP response code; null on network error / while pending
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: Network/timeout error text, if any
        created_at:
          type: string
          format: date-time
          title: Created At
          description: When the attempt was recorded
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
          description: When the outcome was written
      type: object
      required:
        - delivery_id
        - event
        - attempt
        - status
        - status_code
        - error
        - created_at
        - updated_at
      title: WebhookDeliveryResponse
      description: >-
        A single webhook delivery attempt (admin history view). No
        secret/signature.
    PaginationMeta:
      properties:
        limit:
          type: integer
          title: Limit
        has_next:
          type: boolean
          title: Has Next
          default: false
        has_prev:
          type: boolean
          title: Has Prev
          default: false
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
        prev_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Prev Cursor
        total:
          type: integer
          title: Total
          default: 0
      additionalProperties: true
      type: object
      required:
        - limit
      title: PaginationMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    WebhookDeliveryStatus:
      type: string
      enum:
        - pending
        - succeeded
        - failed_retryable
        - failed_terminal
      title: WebhookDeliveryStatus
      description: Lifecycle status of a single webhook delivery attempt.
  securitySchemes:
    BearerToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Get token from Auth0 and paste it here

````